/*
ESIMO Portal scripts
*/
function getHttpParam( name ){
	try{
		  name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
		  var regexS = "[\\?&]"+name+"=([^&#]*)";
		  var regex = new RegExp( regexS );
		  var results = regex.exec( window.location.href );
		  if( results == null )
			return '';
		  else
			return decodeURIComponent(results[1]);
	}catch(e){console.log(e.message);}	
	return '';	
}

function stretchDivToParent(divToStretch){
	var divTop = divToStretch.offset().top;
	var divHeight = divToStretch.height();
	var parentTop = divToStretch.parent().offset().top;
	var parentHeight = divToStretch.parent().height();

	//alert("dt"+divTop+"dh"+divHeight+"pt"+parentTop+"ph"+parentHeight);
	if ((divTop + divHeight) < (parentTop + parentHeight))
		divToStretch.height(parentHeight- divTop + parentTop);
	
}

jQuery(function($){

try{	
$('ul#tabsHeader li ul').each(function(){
	$(this).parent().children('a').css('background','url(/portal-core/themes/esimo-central/images/icons/icon-tabsheader.png) no-repeat 95% 40%');
	$(this).parent().children('a').css('padding-right','16px');	
	$(this).parent().css('z-index','1000');
});

$('ul#tabsHeader li#current ul').each(function(){
	$(this).parent().children('a').css('background','url(/portal-core/themes/esimo-central/images/icons/icon-tabsheader-current.png) no-repeat 95% 40%');
});
}catch(e){
}

try{
	if(document.URL.indexOf('portal/questions')>0){
		$('.portlet-chzn-select').each(function(){
			if ($(this).attr('multiple') == undefined)
				$(this).attr("data-placeholder","---выберите один вариант ответа---").chosen({no_results_text: "Нет совпадений"});
			else
				$(this).attr("data-placeholder","---выберите один или несколько вариантов ответа---").chosen({no_results_text: "Нет совпадений"});
		});
	}
	else 
		$('.portlet-chzn-select').attr("data-placeholder","...").chosen({no_results_text: "Нет совпадений"});
}catch(e){
}

try{	
$(".portlet-accordion").tabs(".portlet-accordion div.pane", {tabs: 'h2', effect: 'slide', initialIndex: null});
$("ul.portlet-tabs").tabs("div.panes > div");
$(".portlet-rangeinput").rangeinput();
$('.scrollable_horizontal').each( function () {
        $(this).scrollable({ speed: 300}).navigator();
    } );
}catch(e){
}	

try{	
$("a.preview").live({
mouseenter:
   function(e)
   {
   this.t = this.title;
	this.title = "";	
	var c = (this.t != "") ? "<br/>" + this.t : "";
   $("#body").append("<p id='preview'><img src='"+ this.href +"' />"+ c +"</p>");								 
   $("#preview").css("top",(e.pageY - 10) + "px")
   if (e.pageX > 500)
	$("#preview").css("left",(e.pageX - 230) + "px")
	else
	$("#preview").css("left",(e.pageX + 30) + "px")
	$("#preview").fadeIn("fast");						
   },
mouseleave:
   function()
   {
	$("#preview").remove();
   }
}
);
}catch(e){
}

try{	
$('.portlet-datepicker').datetimepicker({timeFormat: 'hh:mm:ss', dateFormat:'yy-mm-dd', showSecond:true,
changeMonth:true,
changeYear:true,
timeOnlyTitle: 'Выберите время',
	timeText: 'Время',
	hourText: 'Часы',
	minuteText: 'Минуты',
	secondText: 'Секунды',
	currentText: 'Сейчас',
	closeText: 'Закрыть',
	prevText: '&#x3c;Пред',
	nextText: 'След&#x3e;',
	monthNames: ['Январь','Февраль','Март','Апрель','Май','Июнь',
	'Июль','Август','Сентябрь','Октябрь','Ноябрь','Декабрь'],
	monthNamesShort: ['Янв','Фев','Мар','Апр','Май','Июн',
	'Июл','Авг','Сен','Окт','Ноя','Дек'],
	dayNames: ['воскресенье','понедельник','вторник','среда','четверг','пятница','суббота'],
	dayNamesShort: ['вск','пнд','втр','срд','чтв','птн','сбт'],
	dayNamesMin: ['Вс','Пн','Вт','Ср','Чт','Пт','Сб'],
	weekHeader: 'Не',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
	});
	
$('.portlet-onlydatepicker').datepicker({
	dateFormat:'yy-mm-dd',
	changeMonth:true,
	changeYear:true,
	currentText: 'Сейчас',
	closeText: 'Закрыть',
	prevText: '&#x3c;Пред',
	nextText: 'След&#x3e;',
	monthNames: ['Январь','Февраль','Март','Апрель','Май','Июнь',
	'Июль','Август','Сентябрь','Октябрь','Ноябрь','Декабрь'],
	monthNamesShort: ['Янв','Фев','Мар','Апр','Май','Июн',
	'Июл','Авг','Сен','Окт','Ноя','Дек'],
	dayNames: ['воскресенье','понедельник','вторник','среда','четверг','пятница','суббота'],
	dayNamesShort: ['вск','пнд','втр','срд','чтв','птн','сбт'],
	dayNamesMin: ['Вс','Пн','Вт','Ср','Чт','Пт','Сб'],
	weekHeader: 'Не',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
	});	
	
$('.portlet-datepicker-T-eng').datetimepicker({timeFormat: 'hh:mm:ss', dateFormat:'yy-mm-dd', showSecond:true,
separator: 'T',
changeMonth:true,
changeYear:true
});
	
$('.portlet-datepicker-T-ru').datetimepicker({timeFormat: 'hh:mm:ss', dateFormat:'yy-mm-dd', showSecond:true,
	separator: 'T',
	changeMonth:true,
	changeYear:true,
	timeOnlyTitle: 'Выберите время',
	timeText: 'Время',
	hourText: 'Часы',
	minuteText: 'Минуты',
	secondText: 'Секунды',
	currentText: 'Сейчас',
	closeText: 'Закрыть',
	prevText: '&#x3c;Пред',
	nextText: 'След&#x3e;',
	monthNames: ['Январь','Февраль','Март','Апрель','Май','Июнь',
	'Июль','Август','Сентябрь','Октябрь','Ноябрь','Декабрь'],
	monthNamesShort: ['Янв','Фев','Мар','Апр','Май','Июн',
	'Июл','Авг','Сен','Окт','Ноя','Дек'],
	dayNames: ['воскресенье','понедельник','вторник','среда','четверг','пятница','суббота'],
	dayNamesShort: ['вск','пнд','втр','срд','чтв','птн','сбт'],
	dayNamesMin: ['Вс','Пн','Вт','Ср','Чт','Пт','Сб'],
	weekHeader: 'Не',
	firstDay: 1,
	isRTL: false,
	showMonthAfterYear: false,
	yearSuffix: ''
	});

$('.portlet-rubricpicker').rubricPicker();
}catch(e){
}

try{	
    $('.portlet-table-plugin').dataTable({
      "sDom": '<"portlet-table-top"lpiTCfr>t<"portlet-table-bottom"pi>',  
      "sPaginationType": "full_numbers",
      "bProcessing": true,
      "bAutoWidth": false,
      "bSortClasses": false,
      "sPaginationType": "full_numbers",
      "aLengthMenu": [[20, 50, 100, 250, -1], [20, 50, 100, 250, "Все"]],
      "iDisplayLength": 20,
      "sPaginationType": "full_numbers",
      "oColVis": {
        "buttonText": ""
      },
      "oLanguage": {
        "sUrl": "/portal-ajax/jquery/lang.json"
      },
      "oTableTools":  {	
      "sSwfPath": "/portal-ajax/jquery/copy_cvs_xls.swf",
      "aButtons": [ { "sExtends":"collection",
                                        "sButtonText":"",
                                        "aButtons": [
                                        {"sExtends": "csv", "sButtonText": "CSV"},
                                        {"sExtends": "xls","sButtonText": "Excel" },
                                        {"sExtends": "copy", "sButtonText": "Буфер обмена"} 
                                        ]
                                }]
      }
	});
}catch(e){
}	
	
try{	
$('.portlet-map-simple').makemap();
$('ul:.marquee-style-1').newsticker(10000);
$('ul:.marquee-style-2').newsticker(10000);
$('ul:.marquee-style-3').newsticker(10000);
}catch(e){
}

try{
$('select[id$="userorgid"]').each(function(){
var selected = $(this).val();
var id = $(this).attr('id');
var selectarray = [];
$('option',$(this)).each(function(){
    selectarray.push({"value": $(this).val(),"name": $(this).html() });
	$(this).remove();
});
selectarray.sort(compareobj);
for (var i=0; i<selectarray.length; i++){
	if  (selectarray[i].value == selected)
		$(this).append('<option value="'+selectarray[i].value+'" selected="selected">'+selectarray[i].name+'</option>');
	else
		$(this).append('<option value="'+selectarray[i].value+'">'+selectarray[i].name+'</option>'); 	
}	

$(this).attr("data-placeholder","...");
$(this).chosen({no_results_text: "Нет совпадений"});

});
}catch(e){
}

try{
$('#portal-select').first().each(function(){
if (window.location.pathname.indexOf('portal/mk')==-1){
	$.ajax({
		type: 'GET',
		url: '/portal-ajax/json/portalurls.json',
		data: {},
		success: function(json){
			for (var i=0; i<json.nodesarray.length;i++){
				var node = json.nodesarray[i];
				var group = '<optgroup title="" label="'+node.nodename+'">';
				for (var j=0; j<node.apps.length; j++)
					group += '<option value="'+node.apps[j].appurl+'">'+node.apps[j].appname+'</option>';
				group +='</optgroup>'
				$('#portal-select').append(group);
			}	
			$('#portal-select').chosen({no_results_text: "Нет совпадений"});
			$('#portal-select').change(function(){
			if ($(this).val()!="")
				window.open($(this).val());
			});			
		},
		dataType: 'json'
	});
}	
});
}catch(e){
}

try{
	$('.marquee-archive-select').change(function(){
		var resource = $(this).val();
		if (resource != '')
			window.open('/dataview/viewresource?resourceId='+$(this).val());	
	});
}catch(e){
}

try{
	$('.portlet-titlebar-title:contains("OceanViewerPortlet")').each(function(){
		$(this).html('Интерактивная карта');
	});
}catch(e){
}

try{
	$('#main-right .portlet-titlebar-title').first().each(function(){
		if(document.URL.indexOf('arm-amur')>0)
			$(this).html('Новости проекта');
		else if($(this).text().indexOf('_') != -1)	
			$(this).html('');
		else
			$(this).html('Новости СМИ');
	});
}catch(e){
}

try{
	if (window.location.pathname.indexOf('portal/auth/configure')>0){
		$('a[id^="portlet-instance-link"]').each(function(){
			if ($(this).text().indexOf('[АРМ]')==-1)
				$(this).parent().parent().parent().css('display','none');
		});
		$('option[value="cms"]').remove();
		$('option[value="esimo-nfr"]').remove();
		$('option[value="renaissance"]').remove();
		$('option[value="generic"]').remove();
		$('option[value=""]:contains("default")').remove();
		$('option[value="Разметка главной страницы"]').remove();	
		$('div.portlet-area-body table tbody tr td:contains("определите название для окна содержания")').css('visibility','hidden').css('height','0px');
		$('form:contains("выберите содержание, которое будет добавлено на странице:")').css('visibility','hidden').css('height','0px');
		$('div#bilto').css('float','left').css('margin','0px');
		$('input[value="добавить"]').addClass('portlet-icon icon-plus').css('padding','5px 5px 5px 26px');
		$('input[value="удалить"]').addClass('portlet-icon icon-minus').css('padding','5px 5px 5px 26px');
		$('input[value="вверх"]').addClass('portlet-icon icon-arrow-up').css('padding','5px 5px 5px 26px');
		$('input[value="вниз"]').addClass('portlet-icon icon-arrow-down').css('padding','5px 5px 5px 26px');
		$('input[value="сохранить"]').addClass('portlet-icon icon-status-success').css('padding','5px 5px 5px 26px');
		$('input[value="выбрать"]').addClass('portlet-icon icon-status-success').css('padding','5px 5px 5px 26px');
		$('input[value="переименовать"]').addClass('portlet-icon icon-status-success').css('padding','5px 5px 5px 26px');
		$('input[value="удалить эту страницу"]').addClass('portlet-icon icon-status-error').css('padding','5px 5px 5px 26px');
		
		$('#expander-maximized').prepend('<a class="portlet-form-button portlet-icon icon-arrow-left" href="/portal/auth/dashboard" style="width:100px; margin:5px auto; display:block;">Вернуться в АРМ</a>');
	}
	if (window.location.pathname.indexOf('portal/auth/dashboard')>0){
		$('#dashboardnav').css('visibility','visible');
		$('#logoName').removeClass('logo-default').addClass('logo-arm-personal');
		$('#logoName').parent().attr('href','/portal/auth/dashboard');
	}
}catch(e){
}	

try{
$('.identity-ui select option[value="portal.renaissance"]').remove();
$('.identity-ui select option[value="portal.esimo-nfr"]').remove();
}catch(e){
}

try{
	if (document.URL.indexOf('portal/rgm')>0){
		$('#logoName').removeClass('logo-default').addClass('logo-mmsc');
		$('#logoName').parent().attr('href','/portal/portal/rgm');
	}
	
	if (document.URL.indexOf('arm-')>=0){
		$.ajax({
			"dataType": 'json', 
			 "type": 'GET', 
			 "url": '/portal-ajax/json/arms.json', 
			 "data": {}, 
			 "timeout": 10000,
			 "success": function(json){
					var arms = json.armsarray;
					for (var i = 0; i<arms.length; i++){
						if ((document.URL.indexOf('arm-'+arms[i].id)>0)){
							$('#logoName').css('background', 'url( /portal-core/themes/esimo-central/images/logos/'+arms[i].id+'.jpg ) no-repeat');
							if (arms[i].id != 'rgm')
								$('#logoName').parent().attr('href','/portal/portal/arm-'+arms[i].id);
							else
								$('#logoName').parent().attr('href','/portal/portal/'+arms[i].id);
							if (arms[i].id == 'amur'){
								$('#main-center-top').css("height","440px");
								$('#main-right').css("height","440px");
								$('#dashboardnav select').remove();
								$('#dashboardnav .portlet-form-button:contains("АРМ")').remove();
								$('#tabsHeader li a:contains("Комплексная карта")').attr('href','/portal/portal/arm-amur/Комплексная карта');//?profileId=1140
								$('span.portlet-titlebar-title:contains("Сведения о наблюдательных сетях")').first().each(function(){
									var height = $('div#content-container').height();
									console.log(height);
									$('div#left').height(450);
									stretchDivToParent($('div#left .portlet-container').last());
									$('div#center-bottom').height(450);
									stretchDivToParent($('div#center-bottom .portlet-container').last());
									$('div#right').height(450);
									stretchDivToParent($('div#right .portlet-container').last());
								});
							};
							if (arms[i].id == 'pollution'){
								console.log('pollution');
								console.log(document.URL);
								if (document.URL.indexOf('%D0%94%D0%B0%D0%BD%D0%BD%D1%8B%D0%B5')>0){
									$('div#left').height(365);
									stretchDivToParent($('div#left .portlet-container').last());
									$('div#center-bottom').height(365);
									stretchDivToParent($('div#center-bottom .portlet-container').last());
									$('div#right').height(365);
									stretchDivToParent($('div#right .portlet-container').last());
								}								
							}
						}	
					}
			 },
			 "error": function(request, status, err) {}
		});
	}
}catch(e){
}

try{
	if (document.URL.indexOf('portal/questions-status')>0){
		$('#logoName').removeClass('logo-default').addClass('logo-questions-status');
		$('#logoName').parent().attr('href','/portal/portal/questions-status');
		$('#header').css('background-image','none');
		$('#dashboardnav div').remove();
		$('#dashboardnav select').remove();
		$('#dashboardnav select').remove();
		$('#dashboardnav a.portlet-form-button').each(function(){
			if ($(this).attr('href') == '/portal/portal/registration/')
				$(this).attr('href','/portal/portal/questions-status/Регистрация');
			else if (($(this).text() == 'Вход')||($(this).text() == 'Выход'))
				;
			else
				$(this).remove();
		});	
	}
}catch(e){
}

try{
	if (document.URL.indexOf('portal/arm-mod')>0){
		$('#portal-select').remove();
		$('#dashboardnav').append('<a href="/jslibs/documents/arm_mod_help_short.doc" id="help-info" class="portlet-form-button portlet-icon icon-help-doc" style="float:right; padding:4px 5px 4px 26px;">Общие сведения</a>');
		$('#dashboardnav').append('<a href="#" id="help-global" class="portlet-form-button portlet-icon icon-question" style="float:right; padding:4px 5px 4px 26px;">Помощь</a>');
		$('#help-global').die().live('click',function(){
			$(this).displaySliderDialog({
				'img':['/portal-core/themes/esimo-central/images/help/help-img-map.png',
					'/portal-core/themes/esimo-central/images/help/help-img-datasearch.png',
					'/portal-core/themes/esimo-central/images/help/help-img-matrix.png',
					'/portal-core/themes/esimo-central/images/help/help-img-mapdata.png',
					'/portal-core/themes/esimo-central/images/help/help-img-mapcatalogue.png',
					'/portal-core/themes/esimo-central/images/help/help-img-data.png']
			});
		});
		$("#tabsHeader a:contains('Интерактивная карта')").parent().remove();		
		$("#tabsHeader a:contains('_')").parent().remove();		
	}
}catch(e){
}

try{
	//if (document.URL.indexOf('portal/arm-rndmc')>0){
		$("#tabsHeader a:contains('Атлас морей России')").each(function(){
			console.log('contains');
			$(this).attr('href','http://www.esimo.ru/atlas/');
			$(this).attr('target','_blank');
		});	
	//}
}catch(e){
}

try{
	//if (document.URL.indexOf('portal/arm-rndmc')>0){
		$("li div.portlet-font-dim:contains('00:00:00')").each(function(){
			$(this).text($(this).text().replace('00:00:00',''));
		});	
	//}
}catch(e){
}

try{
	if (document.URL.indexOf('portal/stat')>0){
		$("#portal-search-any-input").remove();
		$('#tabsHeader').append('<li class="hoverOff" onmouseover="this.className=\'hoverOn\'" onmouseout="this.className=\'hoverOff\'"><a target="_blank" href="/jslibs/documents/help_stat.doc"><span class="portlet-icon icon-question">Помощь</span></a></li>');
	}
}catch(e){
}

});